<?php 
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
$cdgr=$_GET[cdgr];
$periodo=$_GET[periodo];
$sql = "SELECT nom_asi, AVG(notas) AS promedio, periodo_calif FROM `view_prom_matxgrup` WHERE cod_grupo=$cdgr GROUP BY `cod_grupo`,`nom_asi`, periodo_calif ";

$academia->instruccion($sql);
$datas=array();
$per=0;
$i=0;
while($reg=$academia->extraer_registro()){
	if($i==0) $per=$reg[periodo_calif];
	if($per==$reg[periodo_calif]){
		$datas[category][]=$reg[nom_asi];
	}
	$datas[series][$reg[periodo_calif]-1][data][]=(float) number_format($reg[promedio],2);
	$datas[series][$reg[periodo_calif]-1][name]="Periodo ".$reg[periodo_calif];
$i++;
}
echo json_encode($datas);


?>